codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  Point object

A point marker appearing as a dot, square, circle, X, tick, or plus sign (+); or as a combination of these.

VBA class name:

AcadPoint 

Create using:

ModelSpace.AddPoint
PaperSpace.AddPoint
Block.AddPoint 

Access via:

ModelSpace.Item
PaperSpace.Item
Block.Item
SelectionSet.Item
Group.Item 

You can specify a full 3D location for a point. The current elevation is assumed if you omit the Z coordinate.

Points can act as nodes to which you can snap objects. Also, the Coordinates property provides an array that can be used in any method requiring a point as an input parameter.

Controlling the Appearance of Points

The PDMODE and PDSIZE system variables control the appearance of point objects. PDMODE values 0, 2, 3, and 4 specify a figure to draw through the point. A value of 1 selects nothing to be displayed.

Adding 32, 64, or 96 to the values above selects a shape to draw around the point in addition to the figure drawn through it:

PDSIZE controls the size of the point figures, except for PDMODE values 0 and 1. A 0 setting generates the point at 5 percent of the graphics area height. A positive PDSIZE value specifies an absolute size for the point figures. A negative value is interpreted as a percentage of the viewport size. The size of all points is recalculated when the drawing is regenerated.

After you change PDMODE and PDSIZE, the appearance of existing points changes the next time AutoCAD regenerates the drawing.

Creating and Editing Points

To create a point, use the AddPoint method. To edit or query a point, use the following methods and properties:

Methods

ArrayPolar

ArrayRectangular

Copy

Delete

GetBoundingBox

GetExtensionDictionary

GetXData

Highlight

IntersectWith

Mirror

Mirror3D

Move

Rotate

Rotate3D

ScaleEntity

SetXData

TransformBy

Update

Properties

Application

Coordinate

Coordinates

Document

Handle

HasExtensionDictionary

Hyperlinks

Layer

Linetype

LinetypeScale

Lineweight

Normal

ObjectID

OwnerID

Thickness

TrueColor

Visible

Events

Modified  

 

   Comments?